"Turn Bluetooth on or off" instructions outdated

Bug #1392907 reported by Ben Harris on 2014-11-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-docs (Ubuntu)
Medium
Gunnar Hjalmarsson

Bug Description

On the "Turn Bluetooth on or off" page of the Ubuntu Desktop Guide, I am told to "click the Bluetooth icon in the menu bar and click Turn On Bluetooth." However, the Bluetooth menu doesn't have a "Turn On Bluetooth" entry, but instead has an entry labelled "Bluetooth" with an ON/OFF switch. Similarly, the note on that page refers to an entry labelled "Visibility" that is now labelled "Visible".

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: ubuntu-docs 14.04.4
ProcVersionSignature: Ubuntu 3.16.0-24.32-generic 3.16.4
Uname: Linux 3.16.0-24-generic i686
ApportVersion: 2.14.1-0ubuntu3.5
Architecture: i386
CurrentDesktop: Unity
Date: Sat Nov 15 00:05:22 2014
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-motts-20100121-3
EcryptfsInUse: Yes
InstallationDate: Installed on 2010-06-09 (1619 days ago)
InstallationMedia: Ubuntu GNU/Linux 9.10 "Karmic" - Build i386 LIVE Binary 20100121-21:52
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_GB
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: ubuntu-docs
UpgradeStatus: Upgraded to trusty on 2014-08-15 (91 days ago)

Ben Harris (bjh21.me.uk) wrote :
Gunnar Hjalmarsson (gunnarhj) wrote :

Hi Ben, and thanks for your report.

Yes, it has a "Turn Bluetooth On" entry; please see screenshot. You seem to be talking about the System Settings -> Bluetooth window. And the label there is indeed "Visibility".

The documentation page is correct as far as I can tell. Please get back with more specific info if I misunderstood something.

Changed in ubuntu-docs (Ubuntu):
status: New → Invalid
Ben Harris (bjh21.me.uk) wrote :

My Bluetooth menu is very different from yours, as you can see from the attachment. I assume this is because things have changed since Ubuntu 14.04, and now the documentation is correct again. I'm sorry I didn't think to try a newer release before reporting the problem.

Gunnar Hjalmarsson (gunnarhj) wrote :

Hmm... Actually you may well be right, i.e. maybe I'm the one who have something old left from previous versions. I'm not using bluetooth myself.

May I ask: Do you have a clean Ubuntu-with-Unity install, or have you experimented with other desktops, e.g. xfce?

Re-opening this bug report for now. Sorry for the confusion.

Changed in ubuntu-docs (Ubuntu):
status: Invalid → New
Ben Harris (bjh21.me.uk) wrote :

Right. Testing from a 14.10 installation image, I get a very similar menu (attached) to the 14.04 one. So I think this bug exists at least up to 14.10. My running 14.04 LTS system was first installed as 9.10, which I think may have predated Unity, and I've installed fvwm2 at some point. I don't think I've ever installed xfce, but I may have.

Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for the additional info, and again my apologies for the initial mistake.

Changed in ubuntu-docs (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Gunnar Hjalmarsson (gunnarhj) wrote :

Asked for help on the ubuntu-doc mailing list.

https://lists.ubuntu.com/archives/ubuntu-doc/2014-December/019319.html

Anthony Wong (anthonywong) wrote :

The bluetooth menu changed to the new style since 13.04, you can check http://www.omgubuntu.co.uk/2013/04/new-ubuntu-13-04-features.

John Hart (jlhart68) wrote :

My BT is like the image Ben Harris posted. I am using 14.04.1 LTS. It sort of toggles BT on or off.

Gunnar Hjalmarsson (gunnarhj) wrote :

Noticed https://bugs.launchpad.net/bugs/1401362 which may be good to keep in mind.

Changed in ubuntu-docs (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-docs - 15.04.1

---------------
ubuntu-docs (15.04.1) vivid; urgency=low

  * Bump version to 15.04 / vivid.
  * numeric-keypad.page: New page.
  * debian/control: Bump Standards-Version to 3.9.6.
  * bluetooth-turn-on-off.page:
    - Adapt to new Bluetooth panel menu (LP: #1392907).
  * Updated ubuntu-help.pot.
  * The latest translations exported from Launchpad.

  [ Jeffrey Flaker ]
  * files-search.page: Typo fixed (LP: #1375939).

  [ Doug Smythies ]
  * html/img/*: Unused images removed.
  * html/ubuntu.xsl, html/Makefile, .bzrignore:
    - Fixes which improve and simplify the HTML build (LP: #1417906).
  * MAINTAINERS: Updated.
  * ubuntu-mascot-creature.jpg: Updated (LP: #1434087).

  [ Hannie Dumoleyn ]
  * Several occurrences of "app" replaced with "application".
 -- Gunnar Hjalmarsson <email address hidden> Thu, 19 Mar 2015 20:10:00 +0100

Changed in ubuntu-docs (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers